from django.db import models
from django.contrib.auth.models import User
from django.contrib.auth.models import Permission

# Create your models here.


class customers(models.Model):
    user=models.OneToOneField(User,primary_key=True,on_delete=models.CASCADE)

    def __str__(self):
        return self.user.username
    
class Tasks(models.Model):
    Title=models.CharField(max_length=100)
    Details=models.TextField()
    Date=models.DateField(auto_now_add=True)
    works=models.ForeignKey(customers,on_delete=models.CASCADE)
    def __str__(self):
        return self.Title
    
class Assigntasks(models.Model):
    Title=models.CharField(max_length=100)
    Details=models.TextField()
    Date=models.DateField(auto_now_add=True)
    works=models.ForeignKey(customers,on_delete=models.CASCADE)
    def __str__(self):
        return self.Title
